Show / Hide Table of Contents

# AsyncParticleSystemStoppedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncParticleSystemStoppedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncParticleSystemStoppedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnParticleSystemStoppedAsyncHandler() |
GetOnParticleSystemStoppedAsyncHandler(CancellationToken) |
OnParticleSystemStoppedAsync() |
OnParticleSystemStoppedAsync(CancellationToken) |

### Methods

#### GetOnParticleSystemStoppedAsyncHandler()

    public IAsyncOnParticleSystemStoppedHandler GetOnParticleSystemStoppedAsyncHandler()

##### Returns

IAsyncOnParticleSystemStoppedHandler

#### GetOnParticleSystemStoppedAsyncHandler(CancellationToken)

    public IAsyncOnParticleSystemStoppedHandler GetOnParticleSystemStoppedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnParticleSystemStoppedHandler

#### OnParticleSystemStoppedAsync()

    public UniTask OnParticleSystemStoppedAsync()

##### Returns

UniTask

#### OnParticleSystemStoppedAsync(CancellationToken)

    public UniTask OnParticleSystemStoppedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>